<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApiKeysTable extends Migration
{
  /**
  * Run the migrations.
  *
  * @return void
  */
  public function up()
  {
    Schema::create('api_keys', function (Blueprint $table) {
      $table->increments('id');
      $table->string('name');
      $table->string('key', 64);
      $table->boolean('active')->default(1);
      $table->timestamps();
      $table->softDeletes();
      $table->index('name');
      $table->index('key');
    });
  }
  /**
  * Reverse the migrations.
  *
  * @return void
  */
  public function down()
  {
    Schema::dropIfExists('api_keys');
  }
}
